Subject: RE: Fortran Compiler Error CMBFAST
From: "Williams, Gerald S \(Jerry\)" <[email-masked]>
To: <[email-masked]>
Cc: "Brad Krane" <[email-masked]>, "Dave Korn" <[email-masked]>
Date: Mon, 26 Jun 2006 10:26:23 -0400

Brad Krane wrote:
> I'm trying to compile the scientific package CMBFAST-4.5.1 in the
> cygwin environment using g77. I get the following error...
> 
> f77 -O2   -c -o jlgen.o jlgen.F
> jlgen.F: In program `jlgen':
> jlgen.F:14:
>         include 'cmbfast.inc'
>         ^
> Unable to open INCLUDE file `cmbfast.inc' at (^)

Tim Prince wrote:
> Normally, you would specify the path to search for include files with
> -I, if it is not in the current working directory.

I looked at the library, and the referenced include file
*is* in the same directory. The library even includes a
configure script, so this isn't simple pilot error--it
looks like there is a bug in the compiler.

For now, you can work around the problem by adding -I. to
the command lines, or more likely to the end of FFLAGS in
the Makefile (after running ./configure).

I don't use FORTRAN enough to say whether the behavior we
are seeing is correct, though from the evidence I've seen
I'd say it isn't.

gsw

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/